import java.awt.*;
import java.applet.*;

public class Line1 extends Applet {

  int shape;

  public void init() {
    shape=0;
  }



public void paint (Graphics g)
{
  int x = 80;
  for (int i=0; i<60; i++) {
    g.drawLine(x,40,x,100);
    x += 1+ 3*Math.random();
  }
}

  public void ppaint (Graphics g)
  {
    int x = 80;
    Rectangle r = new Rectangle();
    g.getClipBounds(r);
    for (int i=0; i< (int) r.getWidth(); i++) {
      g.drawLine(x,40,x,(int) r.getHeight() );
      x += 1+ 3*Math.random();
    }
  }


    /**
     * Stop the insanity, um, applet.
     */
    public synchronized void stop() {
    }


    public String getAppletInfo() {
        return "A simple drawing program.";
    }

    public static void main(String args[]) {
      Frame f = new Frame("Line1");
     	Line1 line = new Line1();
    	line.init();
    	line.start();
      f.add("Center", line);
     	f.setSize(300,300);
    	f.setVisible(true);
    }


}



